# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/weblogic/provider'

Puppet::Type.type(:wls_jms_sort_destination_key).provide(:simple) do
  include Puppet_X::EnterpriseModules::WebLogic::Provider

  desc 'Manage the jms sort destination key object in  WebLogic domain via regular WLST'
  mk_resource_methods
end
