# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:targettype, :array_matching => :all) do
  include EasyType

  desc 'The type of the target'

  to_translate_to_resource do |raw_resource|
    raw_resource['targettype']&.split(',')
  end

  data_type('Optional[Array[String]]')
end

def targettype
  self[:targettype] ? self[:targettype].join(',') : ''
end
