# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_filename, :parent => Puppet::Parameter::WlsProperty) do
  extend Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-DESC
    The domain log filename.

  DESC

  data_type('Optional[String[1]]')

  maps_to('Log/%<domain_name>s/FileName')
end
