# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:defaultdeliverymode, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The default delivery mode

  DESC

  newvalues('absent', 'Persistent', 'Non-Persistent')

  maps_to('DefaultDeliveryParams/%<connection_factory_name>s/DefaultDeliveryMode')

  data_type("Optional[Enum['absent', 'Persistent','Non-Persistent']]")
end
