# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:expirationpolicy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  expirationpolicy of the queue

  DESC

  newvalues('absent', 'Discard', 'Log', 'Redirect')

  maps_to('DeliveryFailureParams/%<queue_name>s/ExpirationPolicy')
  data_type("Optional[Enum['absent', 'Discard', 'Log', 'Redirect']]")
end
