# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:property_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The property

  DESC

  newvalues('absent', 'JMSMessageID', 'JMSTimestamp', 'JMSCorrelationID', 'JMSPriority', 'JMSExpiration', 'JMSType', 'JMSRedelivered', 'JMSDeliveryTime', 'JMS_BEA_Size', 'JMS_BEA_UnitOfOrder')

  maps_to('Property')
  # rubocop:disable Layout/LineLength
  data_type("Optional[Enum['absent', 'JMSMessageID','JMSTimestamp','JMSCorrelationID','JMSPriority','JMSExpiration','JMSType','JMSRedelivered','JMSDeliveryTime','JMS_BEA_Size','JMS_BEA_UnitOfOrder']]")
  # rubocop:enable Layout/LineLength
end
