# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:forwardingpolicy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  forwardingpolicy of the topic, can only be set if the topic is distributed

  DESC

  maps_to('ForwardingPolicy') {}

  newvalues('absent', 'Partitioned', 'Replicated')
  data_type("Optional[Enum['absent', 'Partitioned', 'Replicated']]")
end
