# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nmtype, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The nmtype of the machine
  DESC

  newvalues('absent', 'SSL', 'Plain', 'SSH', 'RSH')
  maps_to 'NodeManager/%<machine_name>s/NMType'
  data_type("Optional[Enum['absent', 'SSL', 'Plain', 'SSH', 'RSH']]")
end
