# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:started, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Specifies the initial operating state of a targeted messaging bridge instance.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('Started')
end
