# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:migration_policy, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  desc <<-DESC
  The migration policy for migratable target

  DESC

  newvalues('absent', 'manual', 'exactly-once', 'failure-recovery')

  maps_to('MigrationPolicy')
  data_type("Optional[Enum['absent', 'manual', 'exactly-once', 'failure-recovery']]")
end
