# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_http_file_count, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    The log http file name of the server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('WebServer/%<server_name>s/WebServerLog/%<server_name>s/FileCount')
end
