# History


## 3.12.2

- [wls_opatch] Add support for parameter remove patches_before

## 3.12.1

- [wls_server] Remove warning about not set custom_identity

## 3.12.0

- [wls_domain] Implement security_connection_filter_rules

## 3.11.1

- [wls_deployment] Fix refacter errors

## 3.11.0

- [wls_daemon] Initial implementation
- [daemon] Add restart functionality

## 3.10.1

- [release] Add support for RHEL 8
- [core] Add posibility to override autorequire on wls_setting

## 3.10.0

- [core] Fix refacter errors
- [wls_log_filter] Initial implementation
- [wls_domain] Add console extended parameters
- [core] Allow an empty string on **all** extended string properties
- [core] Fix some errors from the refacter
- [core] Debug the full command for access wlst
- [wls_jdbc_persistence_store] Fix data type for prefix_name
- [wls_jms_topic] Fix data type for jndiname
- [wls_jms_queue] Fix data type for jndiname
- [wls_foreign_jndi_provider] Fix data type for provider_properties

## 3.9.0

[wls_server] Add properties for webserver and wbserver_log
[wls_server] Remove default values for properties
[wls_migratable_target] Remove defaults for properties
[wls_machine] Remove defaults for multiple properties
[wls_datasource] Remove defaults for multiple properties
[wls_cluster] Remove default values for messagingmode and migration basis
[doc] Updated docs and REFERENCE.md


## 3.8.2

- [core] Fix autorequire on wls_setting

## 3.8.1

- [wls_role] Fix error 'Invalid parameter disable_autorequire'

## 3.8.0

- [core] Add support to disable autorequire on a specific resource
- [core] Add time measurements to individual operations to aid debugging

## 3.7.1

- [wls_deployment] Fix identification of default version number [ch806]
- [documentation] Fix typo

## 3.7.0

- [release] Add puppet 7 to supported versions in metadata

## 3.6.1

- [wls_af_imported_destination_object] Fix internal error
- [wls_foreign_server_object] Fix internal error

## 3.6.0

- [core] Handle the difference between WebLogic 14 and older versions regarding numbered booleans
- [wls_multi_datasource] Fix for using nil values instead of empty strings
- [wls_datasource] Fix for using nil values instead of empty strings
- [core] Don’t change empty values to empty strings anymore. Use null values
- [wls_authentication_provide] Fix message when control_flag is not available
- [wls_group] Add prefetching provider
- [wls_user] Add prefetching provider
- [wls_setting] Encrypt weblogic_password and trust_keystore_passphrase for more security
- [wls_jmsserver] Fix issue with migratable targets
- [core] Fix error in weblogic access
- [task/stop_adminserver] Fix detection of running server
- [wls_rcu] Fix data types
- [wls_user] Add password_reset property
- [wls_jmsserver] Fix issue with migratable targets
- [core] Ensure compatibility between older and newer versions
- [wls_deployment] Fix versionidentifier on higher puppet versions
- [wls_mail_session] Fix data type for mailprperty
- [wls_deployment] Fix data type for targettype
- [wls_multi_datasource] Fix datatype for jndinames property
- [wls_foreign_server] Fix extraproperties property
- [wls_datasource] Fix format of jndinames and extraproperties properties
- [wls_authentication_provider] Fix case of allowed control_flag values

## 3.5.1

- [wls_jmsserver] Fix issue with migratable targets

## 3.5.0

- [core] Add support for AIX

## 3.4.2

- [wls_server] Fix custom_identity detection
- [docs] update documentation

## 3.4.1

- [daemon] Make timeout for initial connect longer and configurable
- [wls_server] Make the sync for started state more rubust.

## 3.4.0

- [wls_jms_connection_factory] Make delivery_default_unit_of_order accept any string
- [wls_path_service] Use persistentstoretpe to determine what type of store to user
- [wls_jms_security_policy] Fix when tunning under Puppet version 5
- [wls_path_service] Initial implementation

## 3.3.17

- [tasks] Add support for loading local libraries
- [wls_server] Add support for synced start and stop based on state property and synced_start_stop parameter

## 3.3.16

- [wls_server] Fix starting a newly created or modfied server
- [docs] Fix documentation issues
- [wls_opatch] Fix error when source doesn’t contain subdit with patch
- [wls_jms_queue] Fix errordestination for Puppet 6
- [wls_jms_topic] Fix errordestination for Puppet 6
- [wls_jmsserver] Fix persistentstore for Puppet 6

## 3.3.15

- [release] Fix release

## 3.3.14

- [core] Don’t fetch the properties when the resource tag leads to not including the resource

## 3.3.13

- [wls_jms_topic] handle case where messages_limit_override is not available

## 3.3.12

- [core] Make fetching values more robust
- [core] Don’t undo when just fetching value from wls daemon

## 3.3.11

- [acceptance] Move acceptance test for wls_dynamic_cluster to work queue
- [core] Better handle errounous returns from wlst

## 3.3.10

- [tasks] Harmonize  timout of startup and shutdown tasks to 300 seconds

## 3.3.9

- [tasks] Fix timout of start_managed_servers

## 3.3.8

- [core] Make start and stop server more robust
- [tasks] Add unit tests and refacter code

## 3.3.7

- [tasks] Fix syntax error

## 3.3.6

- [tasks] Fix fetching of state

## 3.3.5

- [tasks] Better implementations of the stop and start tasks
- [core] Better error message when AdminServer doesn’t run

## 3.3.4

- [tasks] Make wait the default and accept also strings for booleans and Integers
- [start_managed_servers] Add option to wait for shutdown with a specified timeout
- [stop_adminserver] Add option to wait for shutdown with a specified timeout
- [stop_managed_servers] Add option to wait for shutdown with a specified timeout
- [acceptance] Use puppet 6 for acceptance tests
- [core] At puppet 6 unit tests
- [core] Update wls_server documentation (#26)

## 3.3.3

- [acceptance] Speedup acceptance tests
- [wls_datasource] Add test with quoted values
- [core] Fix quoted values

## 3.3.2

- [stop_managed_servere] Notice stopped managed server
- [wls_server] Fix getting state property

## 3.3.1

- [wls_coherence_cluster] Fix setting targets
- [core] Change implementation to get value from different runtimes
- [wls_server] Add state failed_not_restartable as shutdown state
- [stop_managed_servers] Add state FAILED_NOT_RESTARTABLE as shutdown state

## 3.3.0

- [stop_managed_server] Refactored. Check for non existing domain
- [stop_admin_server] Refactored. Check for non existing domain
- [start_managed_server] Refactored. Check for non existing domain
- [core] Add support fot getting name of the managed servers and the admin server
- [core] Fix issue with  changing trees
- [stop_admin_server] Add initial implementation for the task
- [stop_managed_servers] Add initial implementation for the task
- [start_managed_servers] Add initial implementation for the task
- [wls_server] remove duplicate state
- [core] Fix error handling when starting and stopping servers
- [core] Add support for getting values in multiple runtimes
- [wls_server] refactered state property
- [devop] Add docker container voor easy development
- [wls_server] Add support for managing state
- [core] Add support for stopping and starting servers
- [core] Add support for fetching domain runtime values
- [core] Add support for absolute paths in property

## 3.2.4

- [core] domain validity check to type pre_run_check

## 3.2.3

- [wls_datasource] Fix sorting issues on idempotence of extraproperty
- [wls_server] Add migration_constrained_candidate_servers property
- [wls_security_policy] Fix setting policy for modules

## 3.2.2

- [core] Fix load order

## 3.2.1

- [core] Fix and enhance setting security policies
- [wls_jms_module] Fix removing security policy
- [wls_security_policy] Fix usage of operation for setting security policy

## 3.2.0

- [wls_jms_topic] Add property messages_limit_override
- [wls_jms_topic] Add extra properties for TopicSubscriptionParams in jms_topic

## 3.1.0

- [wls_exec] Fix type and add acceptance test
- [core] mediate error’s when using  autorequire
- [wls_security_policy] Fix setting JMX security policies
- [wls_security_policy] Initial implementation
- [wls_migratable_target] fix user_preferred_server property
- [wls_migratable_target] Fix acceptance tests
- [wls_migratable_target] make user_prefered_server an array property
- [wls_server] Add basic JTA migration properties
- [wls_security_realm] First implementation of type
- [core] Change all numbered booleans to type
- [wls_deployment] Implement a refreshonly parameter
- [core] Add integer and float data types for properties
- [release] Fix easy_type version requirement
- [wls_managed_executor_service_template] Make max_concurrent_long_running_requests an integer
- [wsl_datasource] Handle special case when request min is higher than max and vice versa
- [wls_jms_topic] Skip acceptance test on template name for now
- [wls_managed_executor_service_template] Initial implementation

## 3.0.22

- [wls_datasource] Fix mapping of data_source_for_job_scheduler & data_source_for_session_persistence

## 3.0.21

- [core] Add support for MigratableTarget in targttype list
- [wls_opatch] Move output to debug
- [wls_rcu] Less output on regular run.

## 3.0.20

- [release] Prepare for release to forge

## 3.0.19

- [wls_opatch] Add support for remote files
- [wls_jms_security_policy] Fail when JMS resource doesn’t exist

## 3.0.18

- [wls_domain_partition_resource_group_deployment]  Fix title attributes
- [wls_jms_security_policy]  Fix title attributes

## 3.0.17

- [wls_jms_module] Fix typo in policyexpression
- [core] Allow empty strings in properties

## 3.0.16

- [core] Loosen requirements for easy_type

## 3.0.15

- [wls_deployment] Use specified timeout for wlst deploy and undeploy operations

## 3.0.14

- [wls_jms_module] Add property policyexpression
- [tree] Added support for getting and setting security policy
- [core] Add support for getting resource id to common

## 3.0.13

- [wls_authantication_provider] confine provide until wls running
- [wls_deployment] confine provide until wls running
- [wls_exec] Confine provider
- [wls_authentication_provider] Small performance fix
- [wls_deployment] Add support for purging
- [wls_jms_queue] Add support for purging
- [wls_jms_topic] Add support for purging
- [core] Add support for only fetching specified properties
- [core] Add support for prefetching only specified resources
- [wls_deployment] Better handling of validation
- [wls_jms_queue] Add path to error messages
- [wls_jms_topic[ Add path to error messages
- [wls_datasource] Add domain_name parameter
- [travis] Fix run on ruby 2.1
- [wls_jms_queue] No validation when we’re absenting
- [wls_datasource] use default on datasource_type when non-existend
- [wls_jms_queue] Add path to validation errors
- [core] Fix universal usage of to_hash
- [core] Fix auto purge in combination with manual absenting
- [wls_jms_topic] Support for auto purging
- [wls_jms_queue] Fix autopurging with errorque of type topic
- [wls_jms_topic] Fix autopurging with errorque of type queue
- [core] Fix autopurging of resources with a current relation
- [wls_datasource] Add support for datasource_type
- [wls_cluster] Fix template name
- [wls_setting] Not ensurable
- [wls_authentication_provider] Fix bug when absenting
- [core] Use templates in provider folder
- [wls_cluster] remove the autorequire
- [wls_settings] Fix ensurable property
- [core] Move templates into the providers
- [wls_datasource] Map data_source_for_automatic_migration  to path istead of value
- [wls_cluster] remove the default on migration_table_name
- [core] Fix Error: no parameter named 'domain_name' error
- [wls_cluster] Fix autorequire for unicastbroadcastchannel
- [core] Add support for absenting in child_of
- [wls_cluster] Autorequire unicastbroadcastchannel
- [wls_server] Add overload protection properties. Closes #15
- [wls_cluster] Add overload protection properties
- [wls_cluster] Added JTA properties
- [meta] Use meta code on Vagrant box
- [wls_jms_topic] Remove defaults for all properties
- [wls_jms_queue] Remove default for all properties
- [wls_cluster] Add propery candidate_machines_for_migratable_servers
- [core] Fix autorequire for targets
- [wls_role] Add unit and acceptance test
- [core] Moved the parent_of method to access
- [core] make targets property code better understandable.
- [testing] Add more parallel unit tests
- [testing] Add simple jenkins file
- [core] Make sure the code only run’s when AdminServer is running
- [wls_jms_queue] Remove queue without specifying distribution
- [wls_deployment] Add autosubscribe to planpath
- [core] Fix usage of autobefore on puppet versions older then 4.0
- [wls_server] Fix removing servers part of a cluster. Closes #18
- [core] Add support for clearing values
- [core] Fix autorequires when ensuring absent

## 3.0.12

- [wls_deployment] Fix redeployments when new version is found
- [wls_jms_topic] Add templatename property

## 3.0.11

- [core] Fix error in creating WLS paths

## 3.0.10

- [wls_deployment] Synchronous deployments
- [wls_jndi_security_policy] Add extra diconnect from managed server
- [core] Rmove ora_install facts
- [core] Remove old source file
- [wls_server] Add property synchronous_write_policy
- [docs] Fixed link in the readme
- [core] Remove old template

## 3.0.9

- [docs] Updated documentation
- [core] Handle invalid weblogic names with an error
- [wls_server] log_rotationtype description fixed
- [wls_opatch] Fix error in index phase from provider
- [wls_jmsserver] Dont’ resturn a persistentstore type if no presistent store
- [wls_workmanager] Fix title parsing
- [wls_workmanager] Use correct domain_name for wlst path
- [core] extend type api to allow access to real domain name
- [wls_opatch] Name file was still empty
- [wls_opatch] Hanle spaces in product home dir
- [wls_jndi_security_policy] comment out some of the tests
- [acceptance] Speed up the tests
- [wls_server_tlog] tlog_datasource_prefix doesn’t support absent
- [wls_coherence_cluster] Don’t test storage_enabled for now
- [wls_saf_imported_destination_object] Fix acceptance test
- [wls_workmanager] Fix issue when real domain name is different then wls_setting domain name
- [core] Fix issue when real domain name is different then wls_setting domain name
- [wls_coherence_cluster] Make spec’s run without error
- [wls_opatch] Fix wrong number of arguments error
- [core] Make Vagrant file easier
- [unittest] Fix type tests
- [core] Rubular fixes
- [core] refacter autorequire_when
- [wls_settings] Fix acceptance test
- [wls_foreign_server] Fix acceptance test
- [wls_domain] Fix acceptance test
- [core] Update to new add_title_attributes
- [core] Fix autorequires to check for empty values
- [core] Fix way to set absent values

## 3.0.8

- [all] migrated to easy_type 2.1
- [wls_jndi_security_policy] Ensure reconnection to AdminServer
- [wls_deployment] Fix error in destroy
- [wls_jndi_security_policy] Add unit and acceptance tests
- [acceptance] Refactored all test to new box
- [wls_deployment] Fix NameError in error handler
- [wls_jndi_security_policy] Fix action all for non-root elements
- [wls_jndi_security_policy] Fix error on creation in other server
- [core] no more caching of the wls_settings. Fixes purging errors in run.
- [wls_jndi_security_policy] Add support for managing root entries
- [core] Improve even more on reconnect algorithm
- [core] Improve disconnection detection
- [wls_jms_queue] Use specified errordestinationtype for setting errordestination
- [wls_jms_topic] Use specified errordestinationtype for setting errordestination
- [wls_jndi_security_policy] Fixed the hang when creating the resources
- [wls_jndi_security_policy] Connect to listenaddress
- [wls_jndi_security_policy] Make policy per wls server
- [wls_jndi_security_policy] Add correct files
- [wls_jndi_security_policy] Initial implementation
- [wls_deployment] Handle when error is raised before deployment is started
- [wls_default_role_mapper] Initial implementation
- [wls_deploy] Improved error reporting on deployment errors
- [core] Sync on defintion of common methods
- [core] setting target doesn’t support absent
- [wls_jms_topic] Fix spec for expirationpolicy set to Redirect
- [wls_jms_queue] Fix spec for expirationpolicy set to Redirect
- [wls_cluster] Fix clusteraddress property. Is not an array
- [wls_deployment] No check on localpath when ensure=absent
- [core] Don’t get realm and realm_path on every type
- [core] Fix support on abseting for references and arrays
- [core] Make acceptance test wait for started Managed Server
- [core] Refacter success and error reporting from wlst to ruby
- [core] refacter wls code for error & success handling
- [core] Add vagrantfile for testing
- [wls_deployment] Added some validation checks. Closes #9

## 3.0.7

- [wls_server] remove server directory containing all files when destroying a server
- [wls_server] Add parameter create_boot_properties and deprecated it’s use

## 3.0.6

- [wls_server] Fix invalid group setting for boot.properties. Closes #6
- [core] Extract rake tesks to easy_type
- [wls_role] Fix implementation
- [wls_opatch] Fix working

## 3.0.5

- [wls_jms_jopic] Fix destroy action
- [wls_jms_queue] Fix destroy action
- [core] Make ruby load path more consistent
- [wls_deployment] Fixes in method for version identification
- [wls_server] Better secure the boot files
- [wls_deployment] Fix detection of current installed version
- [core] Change load procedure for ruby requires

## 3.0.4

- [wls_server] Fix puppet 3.6.8. issue on Arrays
- [core] Fix target setting on Puppet 3.6.8
- [core] Added werker.yml for CI
- [wls_datasource] Fix typo in help text
- [core] Add correct geppetto  project file
- [wls_authentication_provider] Fiox fetching of secured properties
- [wls_authentication_provider] Fetch index from edit tree
- [core] Add geppetto  project file
- [wls_authentication_provider] Fix getting security realm
- [wls_deploy] Make first deployments more robust
- [wls_deployment] Add extra check on file existence
- [wls_deployment] Added extra save when doing redeploy
- [wls_deployment] Add unit spec's
- [wls_deployment] Add deployment_order property


## 3.0.3

- [wls_datasource] Fix ruby 1.8.7 incompatibility
- [wls_server_channel] Allow -1 on property publicport
- [wls_af_imported_destination_object} Fix mapping of property usetimetolivedefault
- [wls_cluster] Fix index condition when templates do not exist
- [wls_server] Move creation of boot.proerties into ruby.
- [core] Fix ruby 1.8.7 incompatibilities
- [wls_setting] Fix when yaml file is not valid
- [wls_cluster] Allow array on clusteraddress
- [core] Fix issue with symbols versus strings in type processing
- [wls_datasource] Fix updating the user property.

## 3.0.2

- [wls_domain] Fix fetching name
- [core] Move some informational messages to debug
- [wls_deployment] Is not a standardized wls resource
- [core] Use correct path when fetching a top level variable from wls

## 3.0.1

- Filtering password information from debug and error log

## 3.0.0

- Adhere to the naming standards of Puppet.
- Use newest version of easy_type with better error reporting of the daemons
- Implement new WebLogic core with better error reporting
- implement extra properties so almast the full spectrum of properties is supported
- Add support for WebLogic 12.2.1
- Add Unit tests for
- Add Acceptance tests

## 2.1.0

- Added some extensive checks to the parameters
- Added better documentation
- Compatible with orawls version 1.0.46

## 2.0.0

- Renamed to enterprisemodule/wls_config
