# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:authentication_provider_name) do
  include EasyType

  isnamevar

  desc <<-DESC
  The authentication provider name.

  To identify an authentication provider, use:

      wls_authentication_provider{'domain/authentication_provider_name':
        ...
      }

  DESC
end
