# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:rowprefetchsize, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    The row prefetch size of the datasource.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCDataSourceParams/%<datasource_name>s/RowPrefetchSize')
end
