# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:stagingmode) do
  include EasyType

  desc <<-DESC
  The staging type

  DESC

  newvalues(:'callback-polling', :nostage, :stage, :external_stage)

  to_translate_to_resource do |raw_resource|
    raw_resource['stagingmode']
  end
  data_type("Optional[Enum['callback-polling', 'nostage', 'stage', 'external_stage']]")
end
