# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:timetolive, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  timetolive of the queue

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DeliveryParamsOverrides/%<queue_name>s/TimeToLive')
end
