# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sort_order, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The sort order

  DESC

  newvalues('absent', 'Ascending', 'Descending')

  maps_to('SortOrder')

  data_type("Optional[Enum['absent', 'Ascending','Descending']]")
end
