# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:user_preferred_server, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The preferred server to run this migratable target on

  DESC

  data_type('Optional[String]')

  maps_to('UserPreferredServer/')
end
