#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:remove_patches_before) do
    desc <<-EOT
      Sepcify which patches to remove before applying the patch-id.
  
      Here is an example on how to use this:
  
          wls_opatch { '/oracle/home:12344:
            ensure                => 'present',
            remove_patches_before => ['23345', '45678']
          }
  
      This parameter is *ONLY* used when applying a patch and
      not used when removing a patch.
    EOT
  
    defaultto []
  end
  