# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:bea_home, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The BEA home directory (path on the machine running Node Manager) to use when starting this server.

  DESC

  maps_to('ServerStart/%<server_name>s/BeaHome')
end
