# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:synced_start_stop, :boolean => true, :parent => Puppet::Parameter::Boolean) do
  desc <<-DESC
    Specifies if you want to sync the state of the managed server. This means
    that when a managed server is started, Puppet will only continue after the start of
    the managed servers is confirmed by WebLogic.
  DESC

  defaultto false
end
