# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:channel_identity_customized, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Override the server SSL Identity for this channel.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('ChannelIdentityCustomized')
end
