# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:debug_module) do
  include EasyType::YamlProperty

  desc <<-DESC
  Toggles retaining of WLST Python scripts

  DESC

  # rubocop:disable Lint/BooleanSymbol
  newvalues(:true, :false)
  defaultto :false
  # rubocop:enable Lint/BooleanSymbol

  data_type('Optional[Boolean]')
end
