# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:capacity, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The capacity constraint name

  DESC

  maps_to('Capacity/')

  on_apply do
    apply_paths_with_reference("/SelfTuning/#{resource.domain_name}/Capacities", value)
  end
end
